Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ru.biosoft.graphics
Class HtmlView

    java.lang.Object
      ru.biosoft.graphics.View
          ru.biosoft.graphics.HtmlView

public class HtmlView
extends View

Field Summary
`protected static javax.swing.JComponent` | `component` This component is used to create view using BasicHTML routines.
`protected javax.swing.text.View` | `view`

Fields inherited from class ru.biosoft.graphics.View
`ACTIVE, at, BASELINE, BOTTOM, CENTER, HIDE, LEFT, model, RIGHT, shape, TOP, type`

Constructor Summary
`HtmlView(java.lang.String text, ColorFont cf, java.awt.Point pt)`
`HtmlView(java.lang.String text, ColorFont cf, java.awt.Point pt, java.awt.Dimension preferredSize)`

Method Summary
`void` | `move(int sx, int sy)` Moves View to the new location using specified offsets.
`void` | `paint(java.awt.Graphics2D g2)` Paints this view on specified Graphics2D.
`void` | `resize(int sx, int sy)`

Methods inherited from class ru.biosoft.graphics.View
`getBounds, getModel, getShape, intersects, isActive, isVisible, move, scale, setActive, setLocation, setLocation, setModel, setToScale, setVisible, updateBounds`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### component

    protected static javax.swing.JComponent component

  This component is used to create view using BasicHTML routines.

### view

    protected javax.swing.text.View view

Constructor Detail

### HtmlView

    public HtmlView(java.lang.String text,
                    ColorFont cf,
                    java.awt.Point pt)

### HtmlView

    public HtmlView(java.lang.String text,
                    ColorFont cf,
                    java.awt.Point pt,
                    java.awt.Dimension preferredSize)

Method Detail

### paint

    public void paint(java.awt.Graphics2D g2)

  Description copied from class: `View`
  Paints this view on specified Graphics2D.

  Overrides:
    `paint` in class `View`
  Parameters:
    `g2` - specified Graphics2D.

### move

    public void move(int sx,
                     int sy)

  Description copied from class: `View`
  Moves View to the new location using specified offsets.

  Specified by:
    `move` in class `View`
  Parameters:
    `sx` - offset along the X axis direction.
    `sy` - offset along the Y axis direction.

### resize

    public void resize(int sx,
                       int sy)

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.